## org.h2.dev.store.btree
Class ChangeCursor<K,V>

    java.lang.Object
      org.h2.dev.store.btree.Cursor<K,V>
          org.h2.dev.store.btree.ChangeCursor<K,V>

Type Parameters:
  `K` - the key type
  `V` - the value type

All Implemented Interfaces:
  java.util.Iterator<K>

    public class ChangeCursor<K,V>

extends Cursor<K,V>

A cursor to iterate over all keys in new pages.

Field Summary

Fields inherited from class org.h2.dev.store.btree.Cursor
`current, currentPos, map, parents`

Method Summary
`CursorPos` `min(Page p, K from)` Visit the first key that is greater or equal the given key.
`CursorPos` `visitChild(Page p, int childIndex)` Visit the first key within this child page.

Methods inherited from class org.h2.dev.store.btree.Cursor
`fetchNext, hasNext, next, pop, push, remove`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### min

    public CursorPos min(Page p,
                         K from)

  Description copied from class: `Cursor`
  Visit the first key that is greater or equal the given key.

  Overrides:
    `min` in class `Cursor<K,V>`
  Parameters:
    `p` - the page
    `from` - the key, or null
  Returns:
    the cursor position

### visitChild

    public CursorPos visitChild(Page p,
                                int childIndex)

  Description copied from class: `Cursor`
  Visit the first key within this child page.

  Overrides:
    `visitChild` in class `Cursor<K,V>`
  Parameters:
    `p` - the page
    `childIndex` - the child index
  Returns:
    the cursor position